# Logic

- [Arithmetic Operation](https://docs.apphive.io/apphive-documentacion/reference/funciones/logic/arithmetic-operation.md): Set any of the four basic operations in arithmetic, namely addition, subtraction, multiplication and division.
- [Chronometer](https://docs.apphive.io/apphive-documentacion/reference/funciones/logic/chronometer.md): Chronometer is a element in which time starts from zero and run until we stop it.
- [Concat](https://docs.apphive.io/apphive-documentacion/reference/funciones/logic/concat.md): The concat takes 3 input elements and joins them into one.
- [Conditional](https://docs.apphive.io/apphive-documentacion/reference/funciones/logic/conditional.md): A conditional is a statement in the if-then form. Are used extensively in a form of logic called deductive reasoning.
- [Debounce](https://docs.apphive.io/apphive-documentacion/reference/funciones/logic/debounce.md): It limits the rate at which a function can fire.
- [Execute Cloud Process](https://docs.apphive.io/apphive-documentacion/reference/funciones/logic/execute-cloud-process.md)
- [For Each](https://docs.apphive.io/apphive-documentacion/reference/funciones/logic/for-each.md): Iterates a specified variable over all values of object's properties.
- [Global Formater](https://docs.apphive.io/apphive-documentacion/reference/funciones/logic/global-formater.md): That are focused on formatting numbers, dates, and strings for displaying to users.
- [Value Is Invalid](https://docs.apphive.io/apphive-documentacion/reference/funciones/logic/value-is-invalid.md): You can place this function to restrict values entered into this element.
- [Generate Random Number](https://docs.apphive.io/apphive-documentacion/reference/funciones/logic/generate-random-number.md): Function that generates a sequence of numbers that cannot be reasonably predicted better than by a random chance.
- [Range Iteration](https://docs.apphive.io/apphive-documentacion/reference/funciones/logic/rangelteration.md): You can make a loop in a range to check values.
- [Regex Test](https://docs.apphive.io/apphive-documentacion/reference/funciones/logic/regex-test.md): The regex test method executes a search for a match between a regular expression and a specified string. Returns match or does not match.
- [Set Time Out](https://docs.apphive.io/apphive-documentacion/reference/funciones/logic/set-time-out.md): Set time out is a method of the global screen objects. It executes the given function (or evaluates the given string) after the time given as second parameter passed.
- [Generate UUID v1](https://docs.apphive.io/apphive-documentacion/reference/funciones/logic/generate-uuid-v1.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apphive.io/apphive-documentacion/reference/funciones/logic.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
